Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&backs_onto_eq=Water&country_abbreviation=ca&page=1&province_abbreviation=bc&results_per_page=5&select=address,city,backs_onto,land_area_sq_m,interior_sq_m,bedroom_total,bathroom_total,estimate_list_price"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('backs_onto_eq', 'Water');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'bc');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,city,backs_onto,land_area_sq_m,interior_sq_m,bedroom_total,bathroom_total,estimate_list_price');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 3.15,
"data": [
{
"address": "10616 111 Street",
"backs_onto": "Water",
"bathroom_total": 4,
"bedroom_total": 5,
"city": "Fort St. John",
"estimate_list_price": 774084,
"interior_sq_m": 205.40854,
"land_area_sq_m": 720.36273,
"property_id": "12266d785ca1e486"
},
{
"address": "159 7610 Evans Road",
"backs_onto": "Water",
"bathroom_total": 2,
"bedroom_total": 2,
"city": "Chilliwack",
"estimate_list_price": 335599,
"interior_sq_m": 96.98997,
"land_area_sq_m": 809.3713,
"property_id": "b215e5f1c9fe1b1"
},
{
"address": "38 45175 Wells Road",
"backs_onto": "Water",
"bathroom_total": 2,
"bedroom_total": 2,
"city": "Chilliwack",
"estimate_list_price": 555851,
"interior_sq_m": 102.0075,
"land_area_sq_m": 748.9843,
"property_id": "ec135bef05cd1d7c"
},
{
"address": "46350 Valleyview Road",
"backs_onto": "Water",
"bathroom_total": 2,
"bedroom_total": 3,
"city": "Chilliwack",
"estimate_list_price": 830335,
"interior_sq_m": 108.510704,
"land_area_sq_m": 449.1862,
"property_id": "e9d69424bb53b49a"
},
{
"address": "17 46360 Valleyview Road",
"backs_onto": "Water",
"bathroom_total": 2,
"bedroom_total": 3,
"city": "Chilliwack",
"estimate_list_price": 631825,
"interior_sq_m": 147.99448,
"land_area_sq_m": 500.23642,
"property_id": "10dcadee543be2a8"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 18261
},
"price_quote": false,
"result_total": 91304,
"time_ms": 5621,
"ui_info": {
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "British Columbia",
"province_abbreviation": "BC",
"province_abbreviation_id": "84b27e64bc119a2",
"province_abbreviation_link": "ca/bc",
"province_slug": "british_columbia"
}
}